//by fatma younis 15/10/2018
$(document).ready(function (e) {
    var formatResult = function (data) {
        return  data.text;
    }

//    $('#orderId').select2({
//        placeholder: " اختر  رقم  الأوردر",
//        //minimumInputLength: 2,
//        //triggerChange: true,
//        allowClear: true,
//        ajax: {
//            url: 'ordersreport.php?do=getOrders',
//            dataType: 'json',
//            type: "POST",
//            data: function (term) {
//                return {
//                    searchTerms: term,
//                    //governmentid : $('#clientgovernmentid').val()
//                };
//            },
//            results: function (data) {
//                return {
//                    results: data,
//                };
//            }
//        },
//        formatResult: formatResult,
//    });
//    $('#sellBillId').select2({
//        placeholder: " اختر  رقم  الفاتورة",
//        //minimumInputLength: 2,
//        //triggerChange: true,
//        allowClear: true,
//        ajax: {
//            url: 'ordersreport.php?do=getSellBillIds',
//            dataType: 'json',
//            type: "POST",
//            data: function (term) {
//                return {
//                    searchTerms: term,
//                    //governmentid : $('#clientgovernmentid').val()
//                };
//            },
//            results: function (data) {
//                return {
//                    results: data,
//                };
//            }
//        },
//        formatResult: formatResult,
//    });

$('.removeorder').live('click', function () {
    var sell = $(this).attr('data-sell');
    var order = $(this).attr('data-order');
    $('#passwordsell').val(sell);
    $('#passwordorder').val(order);
    var passworduservalue = $('#passworduservalue').val();
    if (passworduservalue != "") {
        $('#passwordmodel').modal('show');
        setTimeout(function () {
            $('#passworduser').focus();
        }, 500)
    }
});


function checkPasswordBeforeDeleteProduct() {
    var password = $('#passworduser').val();
    var passwordsell = $('#passwordsell').val();
    var passwordorder = $('#passwordorder').val();
    $.ajax({
        type: 'POST',
        url: 'sellbillAjaxController.php?do=checkremovepasswored',
        data: {password: password},
        async: false,
        success: function (data) {
            if (data == 1) {
                $('#passwordmodel').modal('hide');
                 window.location.href = 'sellbillController.php?do=deleterestaurant&sellbillid='+passwordsell+'&action=0&orderid='+passwordorder+'"';
            } else {
                alert('باسور خظأ ');
            }
            $('#passworduser').val('');



        }
    });
}

$('#passworduser').live('change', function () {
    checkPasswordBeforeDeleteProduct();
});
$('#passworduser').live('keydown', function (e) {
    if (e.keyCode == 13) {
        checkPasswordBeforeDeleteProduct();
    }
});

    $('#hallId').select2({
        placeholder: " اختر  رقم  الصالة",
        //minimumInputLength: 2,
        //triggerChange: true,
        allowClear: true,
        ajax: {
            url: 'ordersreport.php?do=getHalls',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    //governmentid : $('#clientgovernmentid').val()
                };
            },
            results: function (data) {
                return {
                    results: data,
                };
            }
        },
        formatResult: formatResult,
    });
    $('#tableId').select2({
        placeholder: " اختر  رقم  الطاولة",
        //minimumInputLength: 2,
        //triggerChange: true,
        allowClear: true,
        ajax: {
            url: 'ordersreport.php?do=getTables',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    hallId: $('#hallId').val()
                };
            },
            results: function (data) {
                return {
                    results: data,
                };
            }
        },
        formatResult: formatResult,
    });
    $('#userId').select2({
        placeholder: " اختر  المستخدم  ",
        //minimumInputLength: 2,
        //triggerChange: true,
        allowClear: true,
        ajax: {
            url: 'ordersreport.php?do=getUsers',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    hallId: $('#hallId').val()
                };
            },
            results: function (data) {
                return {
                    results: data,
                };
            }
        },
        formatResult: formatResult,
    });

});

